library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternZ

class description - source file - inheritance tree (.ps)

## class TGeoPatternZ : public TGeoPatternFinder

| Inheritance Chart:

`TObject`

<-

`TGeoPatternFinder`

<-

`TGeoPatternZ`

        public:

                            TGeoPatternZ()
                            TGeoPatternZ(TGeoVolume* vol, Int_t ndivisions)
                            TGeoPatternZ(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                            TGeoPatternZ(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                            TGeoPatternZ(const TGeoPatternZ&)
                    virtual ~TGeoPatternZ()
               virtual void cd(Int_t idiv)
             static TClass* Class()
          virtual TGeoNode* FindNode(Double_t* point)
            virtual TClass* IsA() const
              TGeoPatternZ& operator=(const TGeoPatternZ&)
               virtual void ShowMembers(TMemberInspector& insp, char* parent)
               virtual void Streamer(TBuffer& b)
                       void StreamerNVirtual(TBuffer& b)

### Data Members

## Class Description

TGeoPatternZ()

     Default constructor

TGeoPatternZ(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternZ(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternZ(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternZ()

     Destructor

TGeoNode* FindNode(Double_t *point)

     find the node containing the query point

### Inline Functions

                     void cd(Int_t idiv)
                  TClass* Class()
                  TClass* IsA() const
                     void ShowMembers(TMemberInspector& insp, char* parent)
                     void Streamer(TBuffer& b)
                     void StreamerNVirtual(TBuffer& b)
             TGeoPatternZ TGeoPatternZ(const TGeoPatternZ&)
            TGeoPatternZ& operator=(const TGeoPatternZ&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.10 2004/02/10 08:56:20 brun Exp $